This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1290586 - Auto-screen-resolution change of qxl/spice guest not working with KDE/XFCE but works with gnome (F23 host and F23 Guest)
Auto-screen-resolution change of qxl/spice guest not working with KDE/XFCE bu...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: spice-vdagent (Show other bugs)
24
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Christophe Fergeau
Fedora Extras Quality Assurance
:
: 1327854 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-10 16:24 EST by hawking
Modified: 2017-08-17 02:39 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-03 17:56:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hawking 2015-12-10 16:24:10 EST
Description of problem: Auto-resize resolution of guest appears to work out-of-the-box with gnome (F23) installed via virt-manager as guest with qxl/spice default settings. XFCE and KDE guests however I can't seem to get auto-resizing. Host is XFCE/F23.


Version-Release number of selected component (if applicable): 
spice-vdagent.x86_64 0.16.0-2.fc23 
Kernel 4.2.6-301.fc23 

How reproducible: Very


Steps to Reproduce:
1. Use default virt-manager settings to install F23 (gnome, xfce, kde) as guest.
2. Start the os, gnome works on startup, the other two don't, despite the same virt-manager settings.
Comment 1 Christophe Fergeau 2015-12-11 09:17:22 EST
Some changes were needed in GNOME in order to support this, see https://bugzilla.gnome.org/show_bug.cgi?id=711216
This would need to be solved upstream (in XFCE and KDE).
Comment 2 Pavel Grunt 2016-04-17 13:38:59 EDT
*** Bug 1327854 has been marked as a duplicate of this bug. ***
Comment 3 Julius Schwartzenberg 2016-05-03 11:29:22 EDT
Same issue here. Running xrandr --output Virtual-0 --auto after resizing the window resizes the display to the window size. Can't this be made part of the Spice VD Agent?
Comment 4 rob.verduijn 2016-06-30 02:57:22 EDT
hello,

This is also happening on fedora 24.

Simply install the kde-plasma spin in a kvm guest and open the console via spice.
It won't resize.

I use the xrandr trick from comment 3 as a workaround.
Comment 5 Fedora End Of Life 2016-11-24 09:08:53 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Cole Robinson 2016-12-12 16:21:06 EST
Moving to f24, per comment #4
Comment 7 Christophe Fergeau 2017-01-24 10:28:11 EST
(In reply to Julius Schwartzenberg from comment #3)
> Same issue here. Running xrandr --output Virtual-0 --auto after resizing the
> window resizes the display to the window size. Can't this be made part of
> the Spice VD Agent?

spice-vdagent used to be doing something like this, but this was racing with desktop environments keeping track of the current resolution/monitors/.., so we are now informing the desktop environment that a resolution change would be desirable, and let it handle it.
Comment 8 Nathan Dorfman 2017-03-29 21:24:42 EDT
This makes sense. Thank you, Christophe, for that information.

Do you also happen to know if/how a standalone program can arrange to receive these notifications from spice-vdagent?

It seems something like that is needed, so that automatic resizing can work in any X session, not just Gnome. Even if, for example, Xfce and KDE add native support, a standalone program could be used with any X session, whether it uses a full-fledged DE or not. Also... it's now 2017 and Xfce hasn't added native support. :)
Comment 9 Marc-Andre Lureau 2017-04-03 10:23:20 EDT
(In reply to Nathan Dorfman from comment #8)
> This makes sense. Thank you, Christophe, for that information.
> 
> Do you also happen to know if/how a standalone program can arrange to
> receive these notifications from spice-vdagent?

It's no longer going through spice-vdagent if you use the QXL KMS driver (although it needs spice-vdagent to be started iirc).

There is a property to indicate that the new suggested driver resolution is preferred over custom user resolution, see also:

https://git.gnome.org/browse/mutter/commit/?id=957513242c26be458be7a101b83180e3f59f6a44
Comment 10 Fedora End Of Life 2017-07-25 15:37:23 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 11 Cole Robinson 2017-08-03 17:56:12 EDT
Not sure if this is fixed in f26, but sounds like it should be a bug filed against the XFCE/KDE window manager
Comment 12 Nathan Dorfman 2017-08-17 02:39:28 EDT
(In reply to Cole Robinson from comment #11)
> Not sure if this is fixed in f26, but sounds like it should be a bug filed
> against the XFCE/KDE window manager

Any chance you might reconsider that position?

What was nice about the old functionality was that it was completely agnostic of the DE on the guest; it would resize correctly even if it was running fvwm95. Now, it seems that resize only works with "compliant" window managers, which even at this late date still appears to be "only Gnome."

Is it really the intention for automatic resize to only be supported with Gnome guests (or have each WM reimplement this, which unfortunately no one else has done.)

Perhaps it might be possible for Gnome to somehow notify vdagent that it intends to listen to these "new" screen size updates, so that we could fall back to direct XRandR resize for other WMs?

Note You need to log in before you can comment on or make changes to this bug.